---
description: A loading Spinner component.
---

import { LoadingSpinner } from './LoadingSpinner';

A component that renders a spinner to indicate loading status, in the center of the container it is allocated.

The component has a minimum height of `size * 1.5` (where `size` is the size prop), since the spinner varies in height as it spins.
This prevents the overall component varying in size when the spinner rotates.

### Component usage

```js
<LoadingSpinner />
```

### Render red spinner

```js live
<LoadingSpinner color="error" />
```
